/***************************************************************************
                          Domain.h  -  description
                             -------------------
    begin                : Aug 16, 2016
    copyright            : (C) 2016 by oberhuber
    email                : tomas.oberhuber@fjfi.cvut.cz
 ***************************************************************************/

/* See Copyright Notice in tnl/Copyright */


#pragma once

namespace TNL {
namespace Functions {   

template< typename Real = double,
          int Dimension = 1 >
class Range
{
   public:

      using RealType = Real;
 
      static constexpr int getRangeDimension() { return Dimension; }
 
};

} // namespace Functions
} // namespace TNL

